Inhalte

# Funktion IPmt [VBA]

Berechnet die periodische Abschreibung für eine Investition bei regelmäßigen Zahlungen und konstantem Zinssatz.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    IPmt(Rate as Double, Per as Double, NPer as Double, PV as Double, [FV as Variant], [Due as Variant])

### Rückgabetyp:

Double

### Parameter:

Rate legt den periodischen Zinssatz fest.

Per gibt die Periode an, für welche Zinseszinsen berechnet werden. P=ZZR, wenn Zinseszinsen für die letzte Periode berechnet werden.

NPer ist die Gesamtzahl von Perioden, in denen regelmäßige Zahlungen (Annuitäten) erfolgen.

PV ist der gegenwärtige Barwert einer Reihe von Zahlungen.

FV (optional) legt den Endwert (zukünftigen Wert) nach Ablauf der Perioden fest.

Due (optional) legt die Fälligkeit der periodischen Zahlung fest.

0 – Die Zahlung ist am Ende des Zeitraumes fällig;

1 – Die Zahlung ist am Anfang des Zeitraumes fällig.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleIPmt
     Dim myIPmt As Double
     myIPmt = IPmt(0.05,5,7,15000)
     Print myIPmt ' -352,97 Währungseinheiten. Die Zinseszinsen in der fünften Periode (Jahr) betragen 352,97 Währungseinheiten.
    End Sub

Verwandte Themen

Funktion ZINSZ (IPMT) in CALC

VBA – Finanzmathematische Funktionen

Bitte unterstützen Sie uns!